Get site configuration
Returns the complete documentation.json file — the navigation tree, branding, SEO settings, and integrations.
curl -X GET "https://api.documentationai.app/api/v1/config?branch=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.documentationai.app/api/v1/config?branch=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.documentationai.app/api/v1/config?branch=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.documentationai.app/api/v1/config?branch=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.documentationai.app/api/v1/config?branch=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"branch": "main",
"config": {}
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
GET
/config
GET
Bearer Token
Bearer Tokenstring
RequiredAPI key generated from the Documentation.AI dashboard (Settings → API Keys). Pass as Authorization: Bearer dai_...
API key generated from the Documentation.AI dashboard (Settings → API Keys). Pass as
Authorization: Bearer dai_...query
branchstring
Branch name. Defaults to the deployment branch.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. API key generated from the Documentation.AI dashboard (Settings → API Keys). Pass as Authorization: Bearer dai_...
Query Parameters
branchstring
Branch name. Defaults to the deployment branch.
Responses
branchstring
Resolved branch name
configobject
The full documentation.json configuration object
statusCodeinteger
errorstring
messagestring
Was this page helpful?
Last updated 2 days ago
Built with Documentation.AI